// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://web.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta/eta_api/controllers"
	"eta/eta_api/controllers/data_manage"
	"eta/eta_api/controllers/data_manage/correlation"
	future_good2 "eta/eta_api/controllers/data_manage/future_good"
	"eta/eta_api/controllers/data_manage/line_equation"
	"eta/eta_api/controllers/data_manage/line_feature"
	"eta/eta_api/controllers/data_manage/supply_analysis"
	"eta/eta_api/controllers/english_report"
	"eta/eta_api/controllers/eta_trial"
	"eta/eta_api/controllers/roadshow"
	"eta/eta_api/controllers/sandbox"
	"eta/eta_api/controllers/semantic_analysis"
	"eta/eta_api/controllers/trade_analysis"
	"github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/filter/cors"
)

func init() {
	//解决跨域问题
	web.InsertFilter("*", web.BeforeRouter, cors.Allow(&cors.Options{
		AllowAllOrigins:  true,
		AllowMethods:     []string{"GET", "POST", "PUT", "DELETE", "OPTIONS"},
		AllowHeaders:     []string{"Origin", "Authorization", "Uuid", "Accesstoken", "Access-Control-Allow-Origin", "Access-Control-Allow-Headers", "Content-Type"},
		ExposeHeaders:    []string{"Content-Length", "Access-Control-Allow-Origin", "Access-Control-Allow-Headers", "Content-Type"},
		AllowCredentials: true,
	}))
	ns := web.NewNamespace("/adminapi",
		web.NSNamespace("/sysuser",
			web.NSInclude(
				&controllers.SysUserController{},
			),
			web.NSInclude(
				&controllers.SysUserAuthController{},
			),
		),
		web.NSNamespace("/classify",
			web.NSInclude(
				&controllers.ClassifyController{},
			),
		),
		web.NSNamespace("/banner",
			web.NSInclude(
				&controllers.BannerController{},
			),
		),
		web.NSNamespace("/report",
			web.NSInclude(
				&controllers.ReportController{},
				&controllers.ReportChapterTypeController{},
			),
			web.NSInclude(
				&controllers.ReportCommonController{},
			),
			web.NSInclude(
				&controllers.ReportUploadCommonController{},
			),
		),
		web.NSNamespace("/voice",
			web.NSInclude(
				&controllers.VoiceController{},
			),
			web.NSInclude(
				&controllers.VoiceCommonController{},
			),
		),
		web.NSNamespace("/pptv2",
			web.NSInclude(
				&controllers.PptV2Controller{},
				&controllers.PptV2GroupController{},
			),
			web.NSInclude(
				&controllers.PptV2CommonController{},
			),
		),
		web.NSNamespace("/ppt_english",
			web.NSInclude(
				&controllers.PptEnglishController{},
				&controllers.PptEnglishGroupController{},
			),
			web.NSInclude(
				&controllers.PptEnglishCommonController{},
			),
		),
		web.NSNamespace("/entry",
			web.NSInclude(
				&controllers.TargetController{},
			),
			web.NSInclude(
				&controllers.TargetCommonController{},
			),
			web.NSInclude(
				&controllers.TradeCommonController{},
			),
		),

		web.NSNamespace("/system",
			web.NSInclude(
				&controllers.SysDepartmentController{},
			),
			web.NSInclude(
				&controllers.SysGroupController{},
			),
			web.NSInclude(
				&controllers.SysTeamController{},
			),
			web.NSInclude(
				&controllers.SysAdminController{},
			),
			web.NSInclude(
				&controllers.SysRoleController{},
				&controllers.SysRoleAdminController{},
			),
			web.NSInclude(
				&controllers.SysMenuController{},
			),
			web.NSInclude(
				&controllers.SysMenuButtonController{},
			),
			web.NSInclude(
				&controllers.ResearchGroupController{},
			),
		),
		web.NSNamespace("/custom",
			web.NSInclude(
				&controllers.CompanySellerController{},
				&controllers.CompanyPermissionController{},
			),
		),
		web.NSNamespace("/resource",
			web.NSInclude(
				&controllers.ResourceController{},
			),
		),
		web.NSNamespace("/datamanage",
			web.NSInclude(
				&data_manage.EdbInfoController{},
				&data_manage.EdbClassifyController{},
				&data_manage.ChartClassifyController{},
				&data_manage.ChartInfoController{},
				&data_manage.ManualController{},
				&data_manage.BaseFromChangesVisitorsCovidController{},
				&data_manage.ExcelClassifyController{},
				&data_manage.ExcelInfoController{},
				&data_manage.PredictEdbClassifyController{},
				&data_manage.PredictEdbInfoController{},
				&data_manage.BaseFromNationalStatisticsController{},
			),
		),
		web.NSNamespace("/my_chart",
			web.NSInclude(
				&data_manage.MyChartController{},
			),
		),
		web.NSNamespace("/roadshow",
			web.NSInclude(
				&roadshow.CalendarController{},
			),
		),
		web.NSNamespace("/taglib",
			web.NSInclude(
				&controllers.VarietyTagController{},
			),
		),
		web.NSNamespace("/sandbox",
			web.NSInclude(
				&sandbox.SandboxController{},
			),
		),
		web.NSNamespace("/pdfToImg",
			web.NSInclude(
				&controllers.PdfToImgCommonController{},
			),
		),
		web.NSNamespace("/english_report",
			web.NSInclude(
				&english_report.EnglishReportController{},
				&english_report.EnglishPolicyReportController{},
				&english_report.EnglishReportEmailController{},
				&english_report.EnglishCompanyController{},
				&english_report.EnglishCompanyTodoController{},
				&english_report.EnglishAuthController{},
				&english_report.EnglishReportEmailCallBackController{},
				&english_report.EnglishVideoController{},
			),
		),
		web.NSNamespace("/report_author",
			web.NSInclude(
				&controllers.ReportAuthorCommonController{},
			),
			web.NSInclude(
				&controllers.ReportAuthorController{},
			),
		),
		web.NSNamespace("/future_good",
			web.NSInclude(
				&future_good2.FutureGoodEdbInfoController{},
				&future_good2.FutureGoodChartClassifyController{},
				&future_good2.FutureGoodChartInfoController{},
			),
		),
		web.NSNamespace("/correlation",
			web.NSInclude(
				&correlation.CorrelationChartClassifyController{},
				&correlation.CorrelationChartInfoController{},
			),
		),
		web.NSNamespace("/line_equation",
			web.NSInclude(
				&line_equation.LineEquationChartClassifyController{},
				&line_equation.LineEquationChartInfoController{},
			),
		),
		web.NSNamespace("/line_feature",
			web.NSInclude(
				&line_feature.LineFeaturesChartClassifyController{},
				&line_feature.LineFeaturesChartInfoController{},
			),
		),
		web.NSNamespace("/cloud_disk",
			web.NSInclude(
				&controllers.CloudDiskController{},
			),
		),
		web.NSNamespace("/semantic_analysis",
			web.NSInclude(
				&semantic_analysis.SaLabelController{},
				&semantic_analysis.SaDocClassifyController{},
				&semantic_analysis.SaDocController{},
				&semantic_analysis.SaCompareClassifyController{},
				&semantic_analysis.SaCompareController{},
			),
		),
		web.NSNamespace("/supply_analysis",
			web.NSInclude(
				&supply_analysis.VarietyController{},
			),
		),
		web.NSNamespace("/en_permission",
			web.NSInclude(
				&english_report.EnPermissionController{},
			),
		),
		web.NSNamespace("/english_classify",
			web.NSInclude(
				&english_report.EnglishClassifyController{},
			),
		),
		web.NSNamespace("/business_conf",
			web.NSInclude(
				&controllers.BusinessConfController{},
				&controllers.BusinessConfOpenController{},
			),
		),
		web.NSNamespace("/trade_analysis",
			web.NSInclude(
				&trade_analysis.TradeAnalysisController{},
			),
		),
		web.NSNamespace("/out_link",
			web.NSInclude(
				&controllers.OutLinkController{},
			),
		),
		web.NSNamespace("/user_login",
			web.NSInclude(
				&controllers.UserLoginController{},
				&controllers.UserLoginAuthController{},
			),
		),
		web.NSNamespace("/eta_trial",
			web.NSInclude(
				&eta_trial.EtaTrialController{},
			),
		),
	)
	web.AddNamespace(ns)
}
